Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26531/?format=api
{ "ob_id": 26531, "uuid": "4e53c2aee3fe44e7aa107c163696d2e7", "title": "CHIRPS: Quasi-global daily satellite and observation based precipitation estimates over land", "abstract": "This dataset contains Climate Hazards Group Infrared Precipitation with Stations (CHIRPS) Quasi-global satellite and observation based precipitation estimates over land from 1981 to near-real time. Spanning 50°S-50°N (and all longitudes), starting in 1981 to near-present, CHIRPS incorporates 0.05° resolution satellite imagery with in-situ station data to create gridded rainfall time series for trend analysis and seasonal drought monitoring.", "keywords": "CHIRPS, Precipitation, rainfall, Observations, satellite", "publicationState": "published", "dataPublishedTime": "2018-09-10T09:13:39", "doiPublishedTime": null, "updateFrequency": "unknown", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26534/?format=api", "dataPath": "/badc/chirps/data/CHIRPS-2.0/global_daily", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 89245465021, "numberOfFiles": 979, "fileFormat": "Data are netCDf formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7153/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2281/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50542/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/54775/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62501/?format=api" ], "dataLineage": "Data taken as is from Climate hazard group. ftp://ftp.chg.ucsb.edu/pub/org/chg/products/CHIRPS-2.0/ .", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26530/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111460/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111461/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111462/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111464/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111466/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111468/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111467/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111463/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111469/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/111465/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168832/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/26529/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }